<?php

namespace App\Http\Controllers;

use App\WaybillPriceModel;
use App\Events\WaybillPriceModelEvent;
use App\WaybillFinancialExcepted;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Event;
use Illuminate\Support\Facades\Gate;

class WaybillFinancialExceptedController extends Controller
{
    public function conditionQuery(Request $request,$waybillFinancialSnapshots){
        if ($request->input('created_at_start')){
            $created_at_start=$request->input('created_at_start')." 00:00:00";
            $waybillFinancialSnapshots=$waybillFinancialSnapshots->where('created_at','>=',$created_at_start);
        }
        if ($request->input('created_at_end')){
            $created_at_end=$request->input('created_at_end')." 23:59:59";
            $waybillFinancialSnapshots=$waybillFinancialSnapshots->where('created_at','<=',$created_at_end);
        }
        $waybillFinancialSnapshots=$waybillFinancialSnapshots->paginate(50);
        return $waybillFinancialSnapshots;
    }
    public function index(Request $request)
    {
        if(!Gate::allows('财务报表-查询')){ return redirect(url('/'));  }
        $waybillFinancialSnapshots=WaybillFinancialExcepted::query()->orderBy('id', 'DESC');
        $type='';
        if ($request->type=='ZF'){
            $waybillFinancialSnapshots=$waybillFinancialSnapshots->where('json_content','like','%直发车%');
            $type='ZF';
        }
        if ($request->type=='ZX'){
            $waybillFinancialSnapshots=$waybillFinancialSnapshots->where('json_content','like','%专线%');
            $type='ZX';
        }
        $waybillFinancialSnapshots=$this->conditionQuery($request,$waybillFinancialSnapshots);
        return view('transport.waybill.waybillFinancialSnapshot.index',['waybillFinancialSnapshots'=>$waybillFinancialSnapshots,'filterData'=>$request->input(),'type'=>$type,'excepted'=>true]);
    }
}
